summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-11-16 07:02:19 +0100
committerHans de Graaff <graaff@gentoo.org>2018-11-16 07:02:19 +0100
commit4236bab2a1ab6aa078463797cc2d91d06259f31a (patch)
tree9c70d0f9482883340af551ffdd4fc82e1b75fb5d /dev-ruby/serverengine
parentnet-dns/dnscrypt-proxy: drop 2.0.16-r1 (diff)
downloadgentoo-4236bab2a1ab6aa078463797cc2d91d06259f31a.tar.gz
gentoo-4236bab2a1ab6aa078463797cc2d91d06259f31a.tar.bz2
gentoo-4236bab2a1ab6aa078463797cc2d91d06259f31a.zip
dev-ruby/serverengine: add 2.1.0
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/serverengine')
-rw-r--r--dev-ruby/serverengine/Manifest1
-rw-r--r--dev-ruby/serverengine/serverengine-2.1.0.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-ruby/serverengine/Manifest b/dev-ruby/serverengine/Manifest
index b107a503ce5..b080968ae55 100644
--- a/dev-ruby/serverengine/Manifest
+++ b/dev-ruby/serverengine/Manifest
@@ -1,2 +1,3 @@
DIST serverengine-2.0.6.gem 38400 BLAKE2B 51722d222bfcb9c0063f64ceed666be147bcb4dce9947fd60b723507c5f3e2479b445902bd2a2e985d0a8216462b91b1545ccc458e36e7134fa11a4a746302a7 SHA512 ffb35eb51226793181a5266e3ddaf3255ce38e7fda90c2257fa16044829199dc5ee30cb9c38925f1820cb20fd36d01a47af0a8cbee96edc0ecb5206e2ab17da3
DIST serverengine-2.0.7.gem 38400 BLAKE2B b457925fae394ede56e9d866ebc0ebe02262b1ec799cc03090eb8b037b5e617836dd96860bf1e23a7c62fd09139f007dbf561f378d839cd07d3da70e11b5983b SHA512 5e4dee38ab00641d5f47c29cf765220a327aee3fdd3dface4e1996f7b12abd65de8ac03278e528467d0a508921aa3e504d7a34a7ebf2ddae419618262faf6616
+DIST serverengine-2.1.0.gem 38912 BLAKE2B d89298a8f7a985a8daad8604c88e63c7f534fe1b9020141ba704e34b48ea0b78f6da855d6253bec29abb449c58b51d6c7d83a97add36abf962b7fb478b6c68a6 SHA512 57231afbf28d8e54c90c99adc4c9443d865592a6fdaed85c66dd8e123af06d8b72567f6d0f3b058af388293c25fb52ff954d37517c21ae518314b3f5c307c8da
diff --git a/dev-ruby/serverengine/serverengine-2.1.0.ebuild b/dev-ruby/serverengine/serverengine-2.1.0.ebuild
new file mode 100644
index 00000000000..14e544d3ead
--- /dev/null
+++ b/dev-ruby/serverengine/serverengine-2.1.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="Changelog README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A framework to implement robust multiprocess servers"
+HOMEPAGE="https://github.com/fluent/serverengine"
+LICENSE="Apache-2.0"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/sigdump-0.2.2:0"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler )"
+
+all_ruby_prepare() {
+ sed -i -e '/rake/ s/~>/>=/' \
+ -e '/rspec/ s/2.13.0/2.13/' \
+ -e '/rake-compiler/ s:^:#:' serverengine.gemspec || die
+}
+
+each_ruby_test() {
+ # The specs spawn ruby processes with bundler support
+ ${RUBY} -S bundle exec rspec-2 spec || die
+}